Package ru.bitel.bgbilling.kernel.wifi.common.event

# Class WiFiActivateEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.wifi.common.event.WiFiActivateEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class WiFiActivateEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `WiFiActivateEvent​(int moduleId, java.util.Map<java.lang.String,​java.lang.String> params)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getError()` |
  `java.util.Map<java.lang.String,​java.lang.String>` | `getParams()` |
  `java.lang.String` | `getPayUrl()` |
  `java.lang.String` | `getSuccessMessage()` |
  `void` | `setError​(java.lang.String error)` |
  `void` | `setPayUrl​(java.lang.String payUrl)` |
  `void` | `setSuccessMessage​(java.lang.String successMessage)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WiFiActivateEvent

    public WiFiActivateEvent​(int moduleId, java.util.Map<java.lang.String,​java.lang.String> params)

- ## Method Details

  - ### getPayUrl

    public java.lang.String getPayUrl()

  - ### setPayUrl

    public void setPayUrl​(java.lang.String payUrl)

  - ### getError

    public java.lang.String getError()
    Specified by:
      `getError` in interface `ErrorReturnableEvent`
    Overrides:
      `getError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`

  - ### setError

    public void setError​(java.lang.String error)
    Specified by:
      `setError` in interface `ErrorReturnableEvent`
    Overrides:
      `setError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`

  - ### getSuccessMessage

    public java.lang.String getSuccessMessage()

  - ### setSuccessMessage

    public void setSuccessMessage​(java.lang.String successMessage)

  - ### getParams

    public java.util.Map<java.lang.String,​java.lang.String> getParams()